package com.ruoyi.platform.service;

import com.ruoyi.platform.domain.CodeConfig;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

public interface CodeConfigService {

    Page<CodeConfig> queryByPage(CodeConfig codeConfig, PageRequest pageRequest);

    CodeConfig queryById(Long id) throws Exception;

    CodeConfig insert(CodeConfig codeConfig);

    CodeConfig update(CodeConfig codeConfig);

    String removeById(Long id) throws Exception;

}
